MySQLDataDrivenDBRecordReader (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.db, class: MySQLDataDrivenDBRecordReader

Package org.apache.hadoop.mapreduce.lib.db

# Class MySQLDataDrivenDBRecordReader<T extends DBWritable>

java.lang.Object
org.apache.hadoop.mapreduce.RecordReader<LongWritable,T>
org.apache.hadoop.mapreduce.lib.db.DBRecordReader<T>
org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader<T>
org.apache.hadoop.mapreduce.lib.db.MySQLDataDrivenDBRecordReader<T>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

@Public @Evolving public class MySQLDataDrivenDBRecordReader<T extends DBWritable> extends DataDrivenDBRecordReader<T>
A RecordReader that reads records from a MySQL table via DataDrivenDBRecordReader

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DBRecordReader

  `statement`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MySQLDataDrivenDBRecordReader(org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit split, Class<T> inputClass, Configuration conf, Connection conn, DBConfiguration dbConfig, String cond, String[] fields, String table)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ResultSet`
  `executeQuery(String query)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader

  `getSelectQuery`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBRecordReader

  `close, createValue, getConditions, getConnection, getCurrentKey, getCurrentValue, getDBConf, getFieldNames, getPos, getProgress, getSplit, getStatement, getTableName, initialize, next, nextKeyValue, setStatement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MySQLDataDrivenDBRecordReader

    public MySQLDataDrivenDBRecordReader(org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit split, Class<T> inputClass, Configuration conf, Connection conn, DBConfiguration dbConfig, String cond, String[] fields, String table) throws SQLException
    Throws:
      `SQLException`

- ## Method Details

  - ### executeQuery

    protected ResultSet executeQuery(String query) throws SQLException
    Overrides:
      `executeQuery` in class `DBRecordReader<T extends DBWritable>`
    Throws:
      `SQLException`